.imageAndText {
    display: flex;
    flex-direction: row;
    text-align: left;
    margin-left: 8%;
    margin-right: 8%;
    padding: 20px;
}

.imageAndText .img {
    flex: 50%;
}

.imageAndText .img img {
    width: 100%;
    height: auto;
}

.imageAndText .text {
    flex: 50%;
    padding: 0 0 0 80px;
    text-align: left;
}

* {
    box-sizing: border-box;
}

/*
for button  
https://codepen.io/kathykato/pen/rZRaNe
*/

*::before, *::after {
    box-sizing: border-box;
}

button {
    position: relative;
    display: inline-block;
    cursor: pointer;
    outline: none;
    border: 0;
    vertical-align: middle;
    text-decoration: none;
    background: transparent;
    padding: 0;
    font-size: inherit;
    font-family: inherit;
}

button.learn-more {
    width: 12rem;
    height: 3rem;
}

button.learn-more .circle {
    transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    position: relative;
    display: block;
    margin: 0;
    width: 2rem;
    height: 2rem;
    background: #282936;
    border-radius: 1.625rem;
}

button.learn-more .circle .icon {
    transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    position: absolute;
    top: 0;
    bottom: 0;
    margin: auto;
    background: #fff;
}

button.learn-more .circle .icon.arrow {
    transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    left: 0.225rem;
    width: 1.125rem;
    height: 0.125rem;
    background: none;
}

button.learn-more .circle .icon.arrow::before {
    position: absolute;
    content: "";
    top: -0.25rem;
    right: 0.0625rem;
    width: 0.625rem;
    height: 0.625rem;
    border-top: 0.125rem solid #fff;
    border-right: 0.125rem solid #fff;
    transform: rotate(45deg);
}

button.learn-more .button-text {
    transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 0.75rem 0;
    color: #282936;
    font-weight: 700;
    font-style: italic;
    line-height: 1.6;
    text-align: center;
    text-transform: uppercase;
}

button:hover .circle {
    width: 91%;
}

button:hover .circle .icon.arrow {
    background: #fff;
    transform: translate(1rem, 0);
}

button:hover .button-text {
    color: #fff;
}

/* For extra small devices (phones, 600px and down)*/

@media only screen and (max-width: 600px) {
    .imageAndText {
        display: inline-block;
        flex-direction: column;
        padding: 5px;
        margin-left: 5%;
        margin-right: 5%;
    }
    .imageAndText .img {
        flex: none;
    }
    .imageAndText .img img {
        width: 100%;
        height: auto;
    }
    .imageAndText .text {
        flex: 50%;
        padding: 0 0 0 0px;
        text-align: center;
    }
    #container {
        padding-top: 20px;
    }
    button.learn-more {
        width: 9rem;
        height: 2rem;
        background: #282936;
        border-radius: 1.625rem;
    }
    button.learn-more .circle .icon {
        background: none;
    }
    button.learn-more .circle .icon.arrow {
        left: 1rem;
        background: #fff;
    }
    button.learn-more .button-text {
        padding: 0;
        left: 10%;
        color: #fff;
        line-height: 2.05rem;
        font-size: 14px;
    }
    button:hover .circle {
        width: 100%;
    }
    button:hover .circle .icon.arrow {
        transform: translate(0, 0);
    }
}

/* Small devices (portrait tablets and large phones, 601px and up) */

@media only screen and (min-width: 601px) and (max-width: 768px) {
    .imageAndText {
        display: inline-block;
        flex-direction: column;
        padding: 5px;
        margin-left: 8%;
        margin-right: 8%;
    }
    .imageAndText .img {
        flex: none;
    }
    .imageAndText .img img {
        width: 100%;
        height: auto;
    }
    .imageAndText .text {
        padding: 0 0 0 0;
        text-align: center;
    }
    #container {
        padding-top: 20px;
    }
    button.learn-more {
        width: 9rem;
        height: 2rem;
        background: #282936;
        border-radius: 1.625rem;
    }
    button.learn-more .circle .icon {
        background: none;
    }
    button.learn-more .circle .icon.arrow {
        left: 1rem;
        background: #fff;
    }
    button.learn-more .button-text {
        padding: 0;
        left: 10%;
        color: #fff;
        line-height: 2.05rem;
        font-size: 14px;
    }
    button:hover .circle {
        width: 100%;
    }
    button:hover .circle .icon.arrow {
        transform: translate(0, 0);
    }
}

/* Medium devices (landscape tablets, 769px and up) */

@media only screen and (min-width: 769px) and (max-width: 992px) {
    .imageAndText .text {
        padding: 0 0 0 30px;
    }
    .imageAndText {
        margin-left: 5%;
        margin-right: 5%;
    }
}

/* Large devices (laptops/desktops, 993px and up) */
@media only screen and (min-width: 993px) and (max-width: 1200px){
    .imageAndText .text {
        padding: 0 0 0 50px;
    }  
}

/* Extra large devices (large laptops and desktops, 1200px and up) */

@media only screen and (min-width: 1200px) {}